JettyPlugin (Gradle API 3.5)
Date: 2017-04-10

org.gradle.api.plugins.jetty

## Class JettyPlugin

- java.lang.Object
- - org.gradle.api.plugins.jetty.JettyPlugin

- All Implemented Interfaces:
    Plugin<Project>

  Deprecated.
  The Jetty plugin has been deprecated

      @Deprecated
      public class JettyPlugin
      extends Object
      implements Plugin<Project>

  A `Plugin` which extends the `WarPlugin` to add tasks which run the web application using an embedded Jetty web container.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JETTY_RUN` Deprecated.
    `static String` | `JETTY_RUN_WAR` Deprecated.
    `static String` | `JETTY_STOP` Deprecated.
    `static String` | `RELOAD_AUTOMATIC` Deprecated.
    `static String` | `RELOAD_MANUAL` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyPlugin()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Deprecated. Apply this plugin to the given target object.
    `JavaPluginConvention` | `getJavaConvention(Project project)` Deprecated.
    `WarPluginConvention` | `getWarConvention(Project project)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JETTY_RUN

          public static final String JETTY_RUN

      Deprecated.
      See Also:
        Constant Field Values

    - #### JETTY_RUN_WAR

          public static final String JETTY_RUN_WAR

      Deprecated.
      See Also:
        Constant Field Values

    - #### JETTY_STOP

          public static final String JETTY_STOP

      Deprecated.
      See Also:
        Constant Field Values

    - #### RELOAD_AUTOMATIC

          public static final String RELOAD_AUTOMATIC

      Deprecated.
      See Also:
        Constant Field Values

    - #### RELOAD_MANUAL

          public static final String RELOAD_MANUAL

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JettyPlugin

          public JettyPlugin()

      Deprecated.

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Deprecated.
      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object

    - #### getJavaConvention

          public JavaPluginConvention getJavaConvention(Project project)

      Deprecated.

    - #### getWarConvention

          public WarPluginConvention getWarConvention(Project project)

      Deprecated.